run:
  timeout: 3m
  go: "1.23"

linters:
  disable-all: true
  enable:
    - errcheck
    - gosimple
    - govet
    - ineffassign
    - staticcheck
    - unused
    - gofmt
    - goimports
    - misspell
    - revive
    - gocritic
    - bodyclose
    - errorlint
    - nilerr
    - prealloc
    - unconvert
    - unparam
    - whitespace

linters-settings:
  goimports:
    local-prefixes: git.zetit.ru/zuevav/Bridge-and-Join-s
  misspell:
    locale: US
  revive:
    rules:
      - name: var-naming
        disabled: false
      - name: package-comments
        disabled: true

issues:
  exclude-rules:
    - path: _test\.go
      linters:
        - errcheck
        - unparam
